Profiles

Create Profile

Creates a connection profile.

POST
/v1/profiles

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Request Body

application/json
  1. body
name*string

Profile name. It must be unique in the workspace.

Length1 <= length <= 60

Response Body

Created profile

application/json
  1. response
profile*
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.createProfile({  body: {    "name": "Business"  },});console.log(response);
Example Response
{  "profile": {    "id": "5f1c5a2e-2f0d-4a3c-9a1e-6b7d8c9e0f12",    "name": "Business",    "tone": "blue",    "connectionCount": 4,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}